aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pdns/APKBUILD
diff options
context:
space:
mode:
authorOlivier Mauras <olivier@mauras.ch>2016-08-22 16:16:25 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-22 16:21:34 +0000
commit05109abdf679143e4e76250ad4fa3b183d36f5b1 (patch)
tree11127cbf10fd286f10cee38c34eea10e20a7eb24 /testing/pdns/APKBUILD
parent13a1d1b55b998464ed8b69964ef75e6705805402 (diff)
downloadaports-05109abdf679143e4e76250ad4fa3b183d36f5b1.tar.gz
aports-05109abdf679143e4e76250ad4fa3b183d36f5b1.tar.bz2
aports-05109abdf679143e4e76250ad4fa3b183d36f5b1.tar.xz
testing/pdns: Update version
Diffstat (limited to 'testing/pdns/APKBUILD')
-rw-r--r--testing/pdns/APKBUILD24
1 files changed, 12 insertions, 12 deletions
diff --git a/testing/pdns/APKBUILD b/testing/pdns/APKBUILD
index c60320ed74..5d6fd9986e 100644
--- a/testing/pdns/APKBUILD
+++ b/testing/pdns/APKBUILD
@@ -1,9 +1,10 @@
# Contributor: Ɓukasz Jendrysik <scadu@yandex.com>
# Contributor: Matt Smith <mcs@darkregion.net>
+# Contributor: Olivier Mauras <olivier@mauras.ch>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=pdns
-pkgver=3.4.8
-pkgrel=3
+pkgver=4.0.1
+pkgrel=0
pkgdesc="PowerDNS Authoritative Server"
url="http://www.powerdns.com/"
arch="all"
@@ -15,7 +16,6 @@ makedepends="$depends_dev boost-dev lua-dev openldap-dev mariadb-dev
install="$pkgname.pre-install $pkgname.post-deinstall"
subpackages="$pkgname-doc
$pkgname-backend-bind:backend_bind
- $pkgname-backend-geo:backend_geo
$pkgname-backend-ldap:backend_ldap
$pkgname-backend-mysql:backend_mysql
$pkgname-backend-pgsql:backend_pgsql
@@ -44,13 +44,13 @@ prepare() {
build() {
cd "$_builddir"
./configure --prefix=/usr \
- --sysconfdir=/etc \
+ --sysconfdir=/etc/$pkgname \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
--localstatedir=/var \
--libdir=/usr/lib/pdns \
--with-modules="" \
- --with-dynmodules="bind geo ldap gmysql gpgsql pipe gsqlite3" \
+ --with-dynmodules="bind ldap gmysql gpgsql pipe gsqlite3" \
--disable-static \
|| return 1
make || return 1
@@ -62,14 +62,13 @@ package() {
install -m755 -D "$srcdir"/$pkgname.initd \
"$pkgdir"/etc/init.d/$pkgname || return 1
- rm "$pkgdir"/etc/pdns.conf-dist
+ rm "$pkgdir"/etc/$pkgname/$pkgname.conf-dist
install -m600 -D "$srcdir"/$pkgname.conf \
- "$pkgdir"/etc/$pkgname.conf || return 1
- chown pdns:pdns "$pkgdir"/etc/$pkgname.conf || return 1
+ "$pkgdir"/etc/$pkgname/$pkgname.conf || return 1
+ chown pdns:pdns "$pkgdir"/etc/$pkgname/$pkgname.conf || return 1
}
backend_bind() { _mv_backend bind; }
-backend_geo() { _mv_backend geo; }
backend_ldap() { _mv_backend ldap openldap; }
backend_mysql() { _mv_backend gmysql mysql; }
backend_pgsql() { _mv_backend gpgsql postgresql; }
@@ -79,6 +78,7 @@ backend_sqlite3() { _mv_backend gsqlite3 sqlite; }
_mv_backend() {
local backend=$1
pkgdesc="${backend} backend module for PowerDNS"
+ depends="$pkgname"
# backend dependencies
if [ -n "${2-}" ]; then
@@ -91,12 +91,12 @@ _mv_backend() {
"$subpkgdir"/usr/lib/pdns/pdns/ || return 1
}
-md5sums="7d7c7de2b8b0343c64f85edab8e8074e pdns-3.4.8.tar.bz2
+md5sums="d34a390672aa043f8a287e5bb2284f4a pdns-4.0.1.tar.bz2
db11dfe72474858f706155c817f2ded5 pdns.initd
351bac7f784a1a40e768466d9e6f1a79 pdns.conf"
-sha256sums="4f818fd09bff89625b4317cc7c05445f6e7bd9ea8d21e7eefeaaca07b8b0cd9f pdns-3.4.8.tar.bz2
+sha256sums="d191eed4a6664430e85969f49835c59e810ecbb7b3eb506e64c6b2734091edd7 pdns-4.0.1.tar.bz2
081835f812e419b153a9cc716ad55b9cb22c6c185b748e0aafc40430fa5e8b5e pdns.initd
5fdf423f829dca0b50bc81bab773d7ec4ee6627e35f861124d8c2ccd79a2f50c pdns.conf"
-sha512sums="8d0f7bbbe21559ecf0d9f323a2f4226b2c2d5542261e0ad44e6ac17f13bbe087b52efe1b74ca756cf9b92f6cb333829c42b55c245543fa3dea4a4f62be8cdf6e pdns-3.4.8.tar.bz2
+sha512sums="77fce9963a05198afeb569f92fbb0f6a1cb3426c28dd77b0921128189c80d9a72ebdbfc249dfc0b5b89cc7a65a83887a0388d6cc3461453b1e3096e563afdd1e pdns-4.0.1.tar.bz2
71257be925fe57b15ebf29a7810cd70581cb867416ab9562300a1bbc3eb94fcb92ea2eb95f15e3ee3bd409468911077c50f90a2501801b0c8c49ed979f41f3a4 pdns.initd
9913551bb4d685aaced806134b1037d85ce759e7d9e780e256e67651d9d346aad5e608b4a45a4933f0ba879605b69d06e579c38b7f917f7a9be37c7797c5953b pdns.conf"